Package org.xnio.nio

# Class Version

java.lang.Object
org.xnio.nio.Version

public final class Version extends Object
The version class.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getJarName()`
Get the name of the program JAR.
`static String`
`getVersionString()`
Get the version string.
`static void`
`main(String[] args)`
Print out the current XNIO version on `System.out`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String[] args)
Print out the current XNIO version on `System.out`.

Parameters:
  `args` - ignored

### getJarName

public static String getJarName()
Get the name of the program JAR.

Returns:
  the name

### getVersionString

public static String getVersionString()
Get the version string.

Returns:
  the version string